{
  pkgs,
  esp-dev,
  deprekages,
  is-hm-standalone,
  ...
}:
with pkgs;
[

  # Utilities.
  dos2unix
  socat
  yt-dlp
  fontpreview
  deprekages.gimgtools
  sageWithDoc

  # Development.
  act
  go
  rustc
  bundix
  typescript
  clang
  clang-analyzer
  clangStdenv
  autoconf
  automake
  octave
  yosys
  android-tools
  python3
  cfr
  procyon

  # Build systems.
  cmake
  gnumake
  meson
  ninja
]

# Linux-only packages.
++ (
  if pkgs.stdenv.isLinux then
    [
      # Nix enhancements.
      nix-ld

      # Development.
      #swift # Not necessary on Darwin. :)
      gdb # Temporary here due to a conflict with the ARM version.
    ]
  else
    [ ]
)

# x86_64 only packages
++ (
  if pkgs.stdenv.isx86_64 then
    [

      clang_multi
      gcc_multi

      esp-dev.esp-idf-full
    ]
  else
    [ ]
)

# Mac-only packages.
++ (
  if pkgs.stdenv.isDarwin then
    [

    ]
  else
    [ ]
)

# NixOS-only packages.
++ (
  if pkgs.stdenv.isDarwin then
    [


    ]
  else
    [ ]
)
